Subject: bug#11185: flex %option "never-interactive" breaks few tests on Solaris

From: Roumen Petrov <[email-masked]>
Date: Sat, 07 Apr 2012 00:34:28 +0300

Hi Stefano,

Stefano Lattarini wrote:
> Severity: minor
> thanks
>
> Hello automakers, Peter.
>
> The commit v1.11-2058-g6f4b08d of 06-03-2012, "tests: explicitly state
> that our lexers do not require unistd.h", has been causing at least
> the tests 'lex-clean-cxx.test' and 'lex-depend-cxx.test' to break on
> Solaris, where lex is not flex, and does not understand the directive
> "%option never-interactive".
>
> Any opinion on how to better fix this?  Is defining a dummy 'isatty'
> function in our C++ sources enough to avoid the failures on MSYS?
Function isatty is defined in <io.h> .
May be you could define a dummy function.

> Regards,
>    Stefano

Roumen